Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.config
Class JavaPlatformPE

    java.lang.Object
      net.sf.saxon.java.JavaPlatform
          com.saxonica.config.JavaPlatformPE

All Implemented Interfaces:
  Serializable, Platform

    public class JavaPlatformPE

extends JavaPlatform

Implementation of the Platform class containing methods specific to the Java platform (as distinct from .NET) for Saxon-PE and Saxon-EE. This is a singleton class with no instance data.

See Also:
  Serialized Form

Constructor Summary
`JavaPlatformPE()` The constructor is called during the static initialization of the Configuration, by virtue of the class name appearing in the edition.properties file within the issued JAR file

Method Summary
`void` | `addFunctionLibraries(FunctionLibraryList list, Configuration config, int hostLanguage)` Add the platform-specific function libraries to a function library list.
`String` | `getVerifierClassName()` Get the verifier appropriate to the platform
`void` | `initialize(Configuration config)` Perform platform-specific initialization of the configuration
`void` | `registerAllBuiltInObjectModels(Configuration config)` Register all the external object models that are provided as standard with the relevant edition of Saxon for this Configuration

Methods inherited from class net.sf.saxon.java.JavaPlatform
`canReturnCollationKeys, getCollationKey, getExternalObjectType, getInstallationDirectory, getParserSource, getPlatformSuffix, getPlatformVersion, isDotNet, isJava, loadParser, makeCollation, setDefaultSAXParserFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaPlatformPE

    public JavaPlatformPE()

  The constructor is called during the static initialization of the Configuration, by virtue of the class name appearing in the edition.properties file within the issued JAR file

Method Detail

### initialize

    public void initialize(Configuration config)

  Perform platform-specific initialization of the configuration

  Specified by:
    `initialize` in interface `Platform`
  Overrides:
    `initialize` in class `JavaPlatform`
  Parameters:
    `config` - the Saxon Configuration

### addFunctionLibraries

    public void addFunctionLibraries(FunctionLibraryList list,
                                     Configuration config,
                                     int hostLanguage)

  Add the platform-specific function libraries to a function library list.

  Overrides:
    `addFunctionLibraries` in class `JavaPlatform`
  Parameters:
    `list` - the function library list that is to be extended
    `config` - the Configuration
    `hostLanguage` - the host language, for example Configuration.XQUERY

### getVerifierClassName

    public String getVerifierClassName()

  Get the verifier appropriate to the platform

  Specified by:
    `getVerifierClassName` in interface `Platform`
  Overrides:
    `getVerifierClassName` in class `JavaPlatform`

### registerAllBuiltInObjectModels

    public void registerAllBuiltInObjectModels(Configuration config)

  Register all the external object models that are provided as standard with the relevant edition of Saxon for this Configuration

  Specified by:
    `registerAllBuiltInObjectModels` in interface `Platform`
  Overrides:
    `registerAllBuiltInObjectModels` in class `JavaPlatform`
  Since:
    9.3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.